context("test eyes")
library(eye)
library(testthat)

iop_wide <- data.frame(id = letters[1:3], iop_r = 11:13, iop_l = 14:16)

set.seed(42)
patient <- id <- c(letters[sample(20)], letters[sample(20)])
foo0 <- data.frame(id, eyes = c(1:4))
foo1 <- data.frame(id, eyes = c(NA, "l"))
foo2 <- data.frame(id, eyes = c("r", "l"))
foo3 <- data.frame(id , eyes = c("e", "l"))
foo4 <- data.frame(id, eyes = c("od", "le"))
foo5 <- data.frame(patient , eyes = c("od", "le"))
foo6 <- data.frame(patient, eyes = c("od", "le", "re", "le"))
foo7 <- data.frame(patient, eyes = c("od", "le"), patience = "c")
foo8 <- data.frame(patient, eyes = c("od", "le", "re", "os"))
foo9 <- data.frame(patient, eyes = c("od", "le", "re", "os"), eye = "d")
foo10 <- data.frame(id, eyes = c(1:0))
foo11 <- data.frame(id, eyes = c(1:2))
foo12 <- data.frame(id, eyes = c(1, "l"))
foo13 <- data.frame(id, eyes = c(1, 2,"r", "r"))
foo14 <- data.frame(id, eyes = c(1, 2,"r", "l"))
foo15 <- data.frame(id, eyes = c(0, 2,"r", "l"))
foo16 <- data.frame(id, eyes = c(0, 1,"l", "l"))
foo17 <- data.frame(id)
foo18 <- data.frame(eyes = c(0, 1,"l", "l"))
foo19 <- data.frame(id, eyes = c(1,3))
foo20 <- data.frame(id , eyes = c("e", "f"))
foo21 <- data.frame(id , eyes = c("r", "f"))

test_that("messages",{
  expect_message(eyes(foo1), regexp = "Not all eyes are identified \\(contains NA\\)")
  # expect_message(eyes(foo6), "Eye coding somewhat messy")
  # expect_message(eyes(foo8), "Eye coding somewhat messy")
  expect_message(eyes(foo10), "Eyes coded 0:1")
  expect_message(eyes(foo11), regexp = "Eyes coded 1:2")
  expect_message(eyes(foo17), regexp = "No eye column found")
  })

test_that("No warning",{
  expect_warning(eyes(foo2), regexp = NA)
  expect_warning(eyes(foo4), regexp = NA)
  expect_warning(eyes(foo5), regexp = NA)
  expect_warning(eyes(foo6), regexp = NA)
  expect_warning(eyes(foo8), regexp = NA)
  expect_warning(eyes(foo10), regexp = NA)
  expect_warning(eyes(foo11), regexp = NA)
})

test_that("warning",{
  expect_warning(eyes(foo13), "Unclear eye coding!")
  expect_warning(eyes(foo0), "Unclear eye coding!")
  expect_warning(eyes(foo3), "Unclear eye coding!")
  expect_warning(eyes(foo7), "Did not find")
  expect_warning(eyes(foo9), "Which is the eye column? Use argument \"eye\"", fixed = TRUE)
  expect_warning(eyes(foo12), "Unclear eye coding!")
  expect_warning(eyes(foo15), "Unclear eye coding!")
  expect_warning(eyes(foo18), "Did not find")
  expect_warning(eyes(foo19), "Unclear eye coding!")
  expect_warning(eyes(foo20), "Unclear eye coding!")
  expect_warning(eyes(foo21), "Unclear eye coding!")
  expect_warning(eyes(foo16), "Unclear eye coding!")
  expect_warning(eyes(foo14), "Unclear eye coding! ")
})


test_that("NULL", {
expect_null(eyes(foo13))
expect_null(eyes(foo0))
expect_null(eyes(foo3))
expect_null(eyes(foo7))
expect_null(eyes(foo9))
expect_null(eyes(foo12))
expect_null(eyes(foo15))
expect_null(eyes(foo18))
expect_null(eyes(foo19))
expect_null(eyes(foo20))
expect_null(eyes(foo21))
expect_null(eyes(foo16))
expect_null(eyes(foo14))
}
)

test_that("return", {
  expect_true(length(eyestr(iop_wide)) == 1)
})
